{% extends 'base.html.twig' %} {% block title %}Log in!{% endblock %} {% block body %}
<form action="{{ path('login')}}" method="post">
    {% if error %}
    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %} {% if app.user %}
    <div class="mb-3">You\'re still login as {{ app.user.username }}, <a href="{{ path('logout') }}">Logout ?</a>
    </div>
    {% endif %}
    <div class="container mt-5 col-6 text-center">
        <div class="row justify-content-center">
            <h3 class="font-weight-normal">Please sign in</h3>
        </div>
        <div class="row justify-content-center mt-2">
            <label for="username" class="sr-only">Username</label>
            <input type="text" value="{{ username }}" name="_username" id="username" class="form-control text-center col-3" placeholder="Username" required autofocus>
        </div>
        <div class="row justify-content-center mt-2">

            <label for="password" class="sr-only">Password</label>
            <input type="password" name="_password" id="password" class="form-control text-center  col-3" placeholder="Password" required>
        </div>
        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        <div class="checkbox mb-3">
            <label><input type="checkbox" name="_remember_me"> Remember me</label>
        </div>


        <button class="btn btn-lg btn-primary mt-3" type="submit">Sign in</button>
    </div>
</form>
{% endblock %}